Subject: Re: bug#32252: [PATCH] %o and %x now format signed numbers

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 Jul 2018 05:38:09 +0300

> From: Paul Eggert <[email-masked]>
> Date: Mon, 23 Jul 2018 19:04:48 -0700
> 
> ** Numbers formatted via %o or %x are now formatted as signed integers.
> Formerly they were formatted using machine-dependent two's complement
> representations.  The new behavior is machine-independent, avoids
> misbehavior in calls like (read (format "#x%x" -1)), and is more
> compatible with bignums, a planned feature.  To get the old behavior,
> set the new, experimental variable binary-as-unsigned to t and please
> email [email-masked] if you need that.  Because %o and %x now
> format signed integers, they now support the + and space flags.
> (Bug#32252).

Please don't put bug numbers in NEWS.  If some bug is important for
NEWS (I doubt that it ever could be), describe it instead.

NEWS is for people who want to grasp changes at a glance, we shouldn't
bother them with looking up bugs.